Description: fix build failure with gcc 14.
 This change resolves the incompatible pointer type.

Author: Étienne Mollier <emollier@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1075194
Forwarded: no
Last-Update: 2024-07-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- libnet-tclink-perl.orig/tclink.c
+++ libnet-tclink-perl/tclink.c
@@ -483,7 +483,7 @@
 
 	int i, j, sort, sort_val;
 
-	unsigned char *cert_data_ptr = cert_data;
+	const unsigned char *cert_data_ptr = cert_data;
 
 	c->sd = -1;
 	c->is_error = 0;
